DMD.CONF(1)

NAME
dmd.conf - configuration file for dmd(1)

SYNOPSIS
/etc/dmd.conf

DESCRIPTION
dmd will look for the initialization file dmd.conf in the directory /etc. If found, environment variable settings in the file will override any existing settings.

This is handy to make dmd independent of programs with conflicting use of environment variables.

SYNTAX
Environment variables follow the [Environment] section heading, in name=value pairs. Comments are lines that start with ;.

EXAMPLE
; dmd.conf file for dmd

; Names enclosed by %% are searched for in the existing environment

; and inserted. The special name %@P% is replaced with the path

; to this file.

[Environment]

DFLAGS="-I%@P%/../src/phobos"

FILES
/etc/dmd.conf

SEE ALSO
dmd(1) rdmd(1)